## python-tasklib 2.3.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/tasklib.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/tasklib.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/tasklib"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/tasklib"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-tasklib 0.5.0

=== debian/changelog ===
python-tasklib (0.5.0-2) unstable; urgency=medium

  * Disable unicode test which is failing in a chroot. Thanks to Logan Rosen
    <logan@ubuntu.com> for the report (Closes: #772606).

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Dec 2014 10:40:42 +0000

python-tasklib (0.5.0-1) unstable; urgency=medium

  * Initial release. (Closes: #770288)

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Nov 2014 16:38:22 +0800

=== debian/control ===
Source: python-tasklib
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-setuptools
Build-Depends-Indep: python-six, python3-six, taskwarrior
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-tasklib.git
Vcs-Git: git://anonscm.debian.org/openstack/python-tasklib.git
Homepage: https://github.com/robgolding63/tasklib

Package: python-tasklib
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-six, taskwarrior, ${misc:Depends}, ${python:Depends}
Suggests: python-tasklib-doc
Description: Task Warrior database interaction - Python 2.x
 Tasklib is a Python library for interacting with a taskwarrior databases,
 using a queryset API similar to that of Django's ORM. Supports taskwarrior
 2.1.x and above. Older versions of taskwarrior are untested and may not work.
 .
 This package contains the Python 2.x module.

Package: python3-tasklib
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python3-six, taskwarrior, ${misc:Depends}, ${python3:Depends}
Suggests: python-tasklib-doc
Description: Task Warrior database interaction - Python 3.x
 Tasklib is a Python library for interacting with a taskwarrior databases,
 using a queryset API similar to that of Django's ORM. Supports taskwarrior
 2.1.x and above. Older versions of taskwarrior are untested and may not work.
 .
 This package contains the Python 3.x module.

Package: python-tasklib-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Task Warrior database interaction - doc
 Tasklib is a Python library for interacting with a taskwarrior databases,
 using a queryset API similar to that of Django's ORM. Supports taskwarrior
 2.1.x and above. Older versions of taskwarrior are untested and may not work.
 .
 This package contains the documentation.

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/t/tasklib tasklib-(.*).tar.gz

## python-tasklib 0.11.0

=== debian/changelog ===
python-tasklib (0.11.0-2) unstable; urgency=medium

  * Add missing python-tzlocal (build-)depends, which fixe FTBFS
    (Closes: #808844).

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Dec 2015 09:20:09 +0000

python-tasklib (0.11.0-1) unstable; urgency=medium

  * New upstream release:
    - Fixes FTBFS (Closes: #808021).
  * Rebased six-version patch.
  * Fixed watch file to use github tag and not broken PyPi repo.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Dec 2015 15:19:41 +0000

=== debian/control ===
Source: python-tasklib
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-setuptools,
Build-Depends-Indep: python-six,
                     python-tzlocal,
                     python3-six,
                     python3-tzlocal,
                     taskwarrior,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-tasklib.git
Vcs-Git: git://anonscm.debian.org/openstack/python-tasklib.git
Homepage: https://github.com/robgolding63/tasklib

Package: python-tasklib
Architecture: all
Depends: python-six,
         python-tzlocal,
         taskwarrior,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-tasklib-doc,
Description: Task Warrior database interaction - Python 2.x
 Tasklib is a Python library for interacting with a taskwarrior databases,
 using a queryset API similar to that of Django's ORM. Supports taskwarrior
 2.1.x and above. Older versions of taskwarrior are untested and may not work.
 .
 This package contains the Python 2.x module.

Package: python3-tasklib
Architecture: all
Depends: python3-six,
         python3-tzlocal,
         taskwarrior,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-tasklib-doc,
Description: Task Warrior database interaction - Python 3.x
 Tasklib is a Python library for interacting with a taskwarrior databases,
 using a queryset API similar to that of Django's ORM. Supports taskwarrior
 2.1.x and above. Older versions of taskwarrior are untested and may not work.
 .
 This package contains the Python 3.x module.

Package: python-tasklib-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Task Warrior database interaction - doc
 Tasklib is a Python library for interacting with a taskwarrior databases,
 using a queryset API similar to that of Django's ORM. Supports taskwarrior
 2.1.x and above. Older versions of taskwarrior are untested and may not work.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/robgolding63/tasklib.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-tasklib; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-tasklib; \
	done
	rm -rf $(CURDIR)/debian/python*-tasklib/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
		if ! [ "$$pyvers" = "3.2" ] ; then \
			python$$pyvers setup.py test ; \
		fi \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	sphinx-build -b html docs debian/python-tasklib-doc/usr/share/doc/python-tasklib-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/robgolding63/tasklib/tags .*/(\d[\d\.]+)\.tar\.gz

## python-tasklib 1.3.0

=== debian/changelog ===
python-tasklib (1.3.0-2) unstable; urgency=medium

  * Override timezone for tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 05 Jan 2020 06:53:54 -1200

python-tasklib (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 21 Nov 2019 06:51:05 +0100

python-tasklib (1.2.1-2) unstable; urgency=medium

  * Drop old Suggests

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 12 Nov 2019 22:00:03 +0100

python-tasklib (1.2.1-1) unstable; urgency=medium

  * Drop gbp.conf
  * Update watch
  * New upstream version 1.2.1
  * Update copyright
  * Drop patch (applied upstream)
  * Update packaging
  * Re release. (Closes: #944403)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 09 Nov 2019 22:51:45 +0100

=== debian/control ===
Source: python-tasklib
Section: python
Priority: optional
Maintainer: Debian Tasktools Packaging Team <taskdeb-discuss@nongnu.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools,
               wsl,
Build-Depends-Indep: python3-six,
                     python3-tzlocal,
                     taskwarrior,
Standards-Version: 4.4.1
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python
Vcs-Browser: https://salsa.debian.org/tasktools-team/python-tasklib
Vcs-Git: https://salsa.debian.org/tasktools-team/python-tasklib.git
Homepage: https://github.com/robgolding/tasklib

Package: python3-tasklib
Architecture: all
Depends: taskwarrior,
         ${misc:Depends},
         ${python3:Depends},
Description: Task Warrior database interaction - Python 3.x
 Tasklib is a Python library for interacting with a taskwarrior databases,
 using a queryset API similar to that of Django's ORM. Supports taskwarrior
 2.1.x and above. Older versions of taskwarrior are untested and may not work.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

# for unit tests
export TZ=UTC

%:
	dh $@ --buildsystem=pybuild --with python3

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/robgolding/tasklib/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## python-tasklib 2.3.0

=== debian/changelog ===
python-tasklib (2.3.0-3) unstable; urgency=medium

  * Drop wsl dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 15 Jan 2021 09:27:28 +0100

python-tasklib (2.3.0-2) unstable; urgency=medium

  * update maintainer address

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 04 Jan 2021 14:09:40 +0100

python-tasklib (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0
  * Drop patch (merged upstream)
  * Drop python3-six dependency, dropped upstream
  * Drop gitlab-ci

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 03 Jan 2021 10:25:40 +0100

python-tasklib (1.3.0-3) unstable; urgency=medium

  * Add patch for taskwarrior 2.5.2 (Closes: #978249)
  * bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 27 Dec 2020 09:45:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: python-tasklib
 Section: python
 Priority: optional
-Maintainer: Debian Tasktools Packaging Team <taskdeb-discuss@nongnu.org>
+Maintainer: Debian Tasktools Team <team+tasktools@tracker.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               dh-python,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                python3-all,
                python3-setuptools,
-               wsl,
-Build-Depends-Indep: python3-six,
-                     python3-tzlocal,
+Build-Depends-Indep: python3-tzlocal,
                      taskwarrior,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 Vcs-Browser: https://salsa.debian.org/tasktools-team/python-tasklib

## python-tasklib 2.4.3

=== debian/changelog ===
python-tasklib (2.4.3-1) unstable; urgency=medium

  * New upstream version 2.4.3

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 12 Oct 2021 15:54:14 +0200

python-tasklib (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0
  * update copyright
  * drop patch (applied upstream)
  * bump policy version (no changes)
  * Update upstream URL

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 21 Sep 2021 21:18:31 +0200

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
                python3-setuptools,
 Build-Depends-Indep: python3-tzlocal,
                      taskwarrior,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 Vcs-Browser: https://salsa.debian.org/tasktools-team/python-tasklib
 Vcs-Git: https://salsa.debian.org/tasktools-team/python-tasklib.git
-Homepage: https://github.com/robgolding/tasklib
+Homepage: https://github.com/GothenburgBitFactory/tasklib
 
 Package: python3-tasklib
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# for unit tests
export TZ=UTC

%:
	dh $@ --buildsystem=pybuild

## python-tasklib 2.5.1

=== debian/changelog ===
python-tasklib (2.5.1-3) unstable; urgency=medium

  * Add missing build dependency on tzdata (Closes: #1029429)
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 23 Jan 2023 08:13:28 +0100

python-tasklib (2.5.1-2) unstable; urgency=medium

  * Drop unused build dependency
  * Enable autopkgtest-pkg-pybuild

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 10 Dec 2022 08:15:05 +0100

python-tasklib (2.5.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Jochen Sprickerhof ]
  * Add upstream source
  * New upstream version 2.5.1
  * Bump policy version (no changes)
  * Drop old build dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 17 Nov 2022 12:32:36 +0100

python-tasklib (2.4.3-2) unstable; urgency=medium

  * Add missing test dependency (Closes: #1008467)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 28 Mar 2022 18:11:21 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                python3-all,
+               python3-pytest <!nocheck>,
                python3-setuptools,
-Build-Depends-Indep: python3-tzlocal,
-                     taskwarrior,
-Standards-Version: 4.6.0
+               tzdata <!nocheck>,
+Build-Depends-Indep: taskwarrior,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Vcs-Browser: https://salsa.debian.org/tasktools-team/python-tasklib
 Vcs-Git: https://salsa.debian.org/tasktools-team/python-tasklib.git
 Homepage: https://github.com/GothenburgBitFactory/tasklib

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export PYBUILD_TEST_ARGS={dir}/tasklib/tests.py
 
 # for unit tests
 export TZ=UTC

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/GothenburgBitFactory/tasklib/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
